/*
AN SÄHKÖTEKNIIKKA OY -värit

white: #fff;

*/

:root {
  --blue: #07064c;
  --black: #10110d;
  --gray: #ededed;
  --white: #fff;
  --lblue: #b4b4c9;
  --dgray: #4a4a4a;
}
body {
  margin: 0;
  font-family: Open Sans, sans-serif;
  background: var(--white);
  color: var(--white);
  font-size: 1em;
  line-height: 1.5;
  text-align: center;
  overflow-x: hidden;
}
img {
  display: block;
  width: 100%;
  height: auto;
}
h1,
h2 {
  margin: 0;
  padding: 1em 0;
  font-size: 2em;
  font-weight: bold;
  color: var(--black);
}
h3 {
  margin: 0;
  padding: 1em 0;
  font-size: 1.5em;
  font-weight: bold;
  color: #049fff;
}
p {
  margin: 0;
  padding: 1em 0;
  font-size: 18px;
  font-family: Open Sans, sans-serif;
  color: var(--black);
}
.navbar {
  background-color: var(--white);
  font-size: 20px;
  font-family: Open Sans, sans-serif;
  font-weight: bold;
  padding-right: 10px;
  padding-left: 10px;
  box-shadow: 0px 14px 50px 4px rgba(0,0,0,.55);
}
#nav-korjaus #active-nav {
  color: var(--dgray);
}
#nav-korjaus #active-nav-dropdown {
  color: var(--blue);
}
.mobilelogo {
  padding-top: 4px;
  margin-left: 4px;
  max-width: 140px;
}
#nav-korjaus .nav-fix {
  color: var(--blue);
  margin-right: 0px;
  transition: .3s;
}
#nav-korjaus .nav-fix-drop a {
  color: var(--blue);
  transition: .3s;
}
#ham-korjaus {
  background-color: transparent;
  border-color: transparent;
  padding-left: 0px;
  padding-right: 0px;
}
.custom-toggler .navbar-toggler-icon {
  background-image: url("../kuvat/AN_Sahkotekniikka_menuburger.svg");
  width: 100px;
  height: 40px;
  outline: none;
}
.navbar-collapse {
  justify-content: center;
}
#nav-korjaus .custom-dropdown a {
  background-color: var(--white);
  color: var(--blue);
  font-size: 18px;
}
#nav-korjaus .dropdown-menu {
  background-color: var(--white);
  border-color: transparent;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
}
#showcase .btn {
  display: inline-block;
  background: transparent;
  color: var(--blue);
  text-decoration: none;
  padding: 1em 2em;
  border: 6px solid var(--blue);
  border-bottom-left-radius: 6px;
  border-top-right-radius: 6px;
  margin: 2.5em 0;
  font-family: Open Sans, sans-serif;
  transition: .3s;
  font-weight: bold;
  width:256px;
}
.btn {
  display: inline-block;
  background: var(--blue);
  color: var(--white);
  text-decoration: none;
  padding: 1em 2em;
  border: 6px dashed var(--blue);
  border-radius: 24px;
  margin: 0.5em 0;
  font-family: Open Sans, sans-serif;
  font-size: 16px;
  transition: .3s;
  font-weight: bold;
  width:256px;
}
#showcase {
  min-height: 940px;
  color: var(--black);
  text-align: center;
}
#showcase .bg-image {
  position: absolute;
  background:#3c3c3b
    url("../kuvat/AN_Sahkotekniikka_Oy_etusivu.jpg");
  background-position: center;
  background-repeat: repeat;
  background-size: cover;
  width: 100%;
  height: 940px;
  z-index: -1;
  opacity: 0.3;
}
#showcase .bg-image2 {
  position: absolute;
  background:#3c3c3b
    url("../kuvat/AN_Sahkotekniikka_aurinkopaneelit.jpg");
  background-position: center;
  background-repeat: repeat;
  background-size: cover;
  width: 100%;
  height: 940px;
  z-index: -1;
  opacity: 0.3;
}
#showcase .bg-image3 {
  position: absolute;
  background:#3c3c3b
    url("../kuvat/AN_Sahkotekniikka_sahkoasennukset_Rovaniemi_Lappi.jpg");
  background-position: center;
  background-repeat: repeat;
  background-size: cover;
  width: 100%;
  height: 940px;
  z-index: -1;
  opacity: 0.3;
}
#showcase .bg-image4 {
  position: absolute;
  background:#3c3c3b
    url("../kuvat/AN_Sahkotekniikka_sahkosuunnitelmat_Rovaniemi_Lappi.jpg");
  background-position: center;
  background-repeat: repeat;
  background-size: cover;
  width: 100%;
  height: 940px;
  z-index: -1;
  opacity: 0.3;
}
body .tietosuojakaytanto {
  background-color: var(--gray);
}
#showcase h1 {
  padding-top: 60px;
  padding-bottom: 0;
  color: var(--blue);
  font-size: 1.8em;
  /*text-shadow:2px 2px 4px rgba(0,0,0,0.41);*/
}
#showcase h2 {
  color: var(--blue);
  font-size: 1.5em;
  /*text-shadow:2px 2px 4px rgba(0,0,0,0.41);*/
}
#showcase .content-wrap,
#section-a .content-wrap,
#tuntiveloitus .content-wrap {
  padding: 0 1.5em;
}
#main h1 {
  padding-top: 60px;
  padding-bottom: 0;
}
#main h2 {
  color: var(--blue);
}
#otsikkofix h2 {
  padding-top: 2em;
  padding-bottom: .5em;
}
#otsikkofix p {
  padding-left: 1em;
  padding-right: 1em;
}
#section-a {
  background: var(--white);
  padding: 2em 1em 1em;
}
#section-a h2 {
  color: var(--black);
}
#section-a p {
  color: var(--black);
}
#section-b {
  background: var(--white);
  padding: 2em 1em 1em;
  display: flex;
	justify-content: center;
}
#section-b ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
#section-b p {
  padding-top: 0;
}
#section-b li {
  margin-bottom: 1em;
}
#section-b .card {
  border-radius: 24px;
  padding: 6px;
  padding-bottom: 10px;
  min-width: 255px;
  max-width: 500px;
  background-color: var(--black);
  transition: .3s;
}
#hintakortti .card {
  min-width: 239px;
}
#section-b .card img {
  border-radius: 20px 20px 0px 0px;
}
#section-b #www-sivut a {
  color: var(--dgray);
  text-decoration: none;
  transition: .3s;
}
#section-b .btn {
  width: 220px;
  transition: .3s;
  background-color: transparent;
  color: var(--blue);
}
#section-b h3 {
  color: var(--black);
}
#section-c {
  color: var(--black);
  text-align: center;
  padding-bottom: 2em;
  min-height: 940px;
}
#section-c .bg-image {
  position: absolute;
  background:#3c3c3b
    url("../kuvat/AN_Sahkotekniikka_Oy_yhteystiedot_2.jpg");
  background-position: center;
  background-repeat: repeat;
  background-size: cover;
  width: 100%;
  height: 940px;
  z-index: -1;
  opacity: 0.3;
}
#section-c h1 {
  color: var(--blue);
}
#section-c h2, h3 {
  color: var(--black);
}
#section-c p {
  color: var(--black);
  transition: .3s;
}
#section-c .btn {
  display: inline-block;
  background: transparent;
  color: var(--blue);
  text-decoration: none;
  padding: 1em 2em;
  border: 6px solid var(--blue);
  border-bottom-left-radius: 6px;
  border-top-right-radius: 6px;
  margin: 0.5em 0;
  font-family: Open Sans, sans-serif;
  transition: .3s;
  font-weight: bold;
  width:256px;
}
#section-d .box {
  padding: 2em 1em 1em;
  color: var(--white);
  background: var(--gray);
  border-top: 10px solid var(--white);
  transition: .3s;
}
#section-d .box p {
  color: var(--black);
  text-align: left;
  margin-left: 22px;
}
#section-d .box:first-child h2 {
  color: var(--blue);
}
#section-d h2 {
  font-size: 1.5em;
}
#section-d h3 {
  color: var(--black);
  font-weight: bold;
}
#section-d ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
#section-d li {
  margin-bottom: 1em;
}
#section-d .card {
  border-radius: 10px;
  padding: 6px;
  padding-bottom: 10px;
}
#section-d .card img {
  border-radius: 20px 20px 0px 0px;
}
#section-d .card-content {
  padding: .5em;
  background-color: white;
  color: black;
}
#section-d a {
  color: var(--blue);
  text-decoration: none;
  transition: .3s;
}
#section-d .btn {
  display: inline-block;
  background: transparent;
  color: var(--blue);
  text-decoration: none;
  padding: 1em 2em;
  border: 6px solid var(--blue);
  border-bottom-left-radius: 6px;
  border-top-right-radius: 6px;
  margin: 0.5em 0;
  font-family: Open Sans, sans-serif;
  transition: .3s;
  font-weight: bold;
  width:256px;
}
.tyonayte #section-d .btn {
  margin-top: 1.5em;
}
#some {
  background-color: var(--lblue);
  color: var(--blue);
  padding: 2em 1em 2em;
}
#some a {
  color: var(--blue);
  text-decoration: none;
  transition-duration: .3s;
}
#voimavarat {
  color: var(--blue);
  padding: 2em 1em 1em;
  border-top: 20px solid var(--white);
  background-color: var(--black);
}
#voimavarat p {
  color: var(--blue);
}
#voimavarat a {
  text-decoration: none;
  color: var(--blue);
  transition-duration: .3s;
}
.card-content {
  padding: .5em;
  background-color: var(--black);
  color: black;
}
#content {
  width: 100%;
  background: #fff;
  max-height: 100px;
  overflow: hidden;
  -webkit-transition: max-height 1.7s;
  -moz-transition: max-height 1.7s;
  transition: max-height 1.7s;
  text-align: center;
}
#content.open {
  width: 100%;
  background: #fff;
  max-height: 800px;
  -webkit-transition: max-height 1.7s;
  -moz-transition: max-height 1.7s;
  transition: max-height 1.7s;
}
.fa-mobile-alt {
  color: var(--blue);
  transition: .3s;
  cursor: pointer;
}
#main-footer .fa-mobile-alt {
  color: var(--blue);
  transition: .3s;
  cursor: pointer;
  margin-left: -7px;
}
.fa-envelope-open {
  color: var(--blue);
  transition: .3s;
  cursor: pointer;
}
.fa-clipboard {
  color: var(--blue);
  transition: .3s;
  cursor: pointer;
  margin-left: -10px;
}
#main-footer .fa-envelope-open {
  color: var(--blue);
  transition: .3s;
  margin-left: -16px;
}
#showcase .fa-check {
  color: var(--blue);
  transition: .3s;
  margin-bottom: .2em;
}
#section-d .fa-check {
  margin-left: -22px;
}
.fa-copyright {
  color: var(--blue);
  justify-content: center;
  transition: .3s;
  cursor: pointer;
  margin-left: -15px;
}
.fa-y-combinator {
  color: var(--blue);
  justify-content: center;
  transition: .3s;
  cursor: pointer;
  margin-left: -12px;
}
.fa-lock {
  color: var(--blue);
  justify-content: center;
  transition: .3s;
  margin-left: -12px;
}
.fa-bolt {
  color: var(--blue);
  justify-content: center;
  transition: .3s;
  margin-left: -7px;
}
.fa-arrow-alt-circle-down {
  color: var(--blue);
  transition: .3s;
}
#section-d .fa-arrow-alt-circle-down {
  display: none;
}
.fa-check-square {
  color: #49ae46;
  justify-content: center;
  transition: .3s;
  cursor: pointer;
  margin-left: -12px;
}
a {
  text-decoration: none;
  color: black;
}
#hinnasto {
  background: var(--white);
  padding: 2em 1em 1em;
  display: flex;
  justify-content: center;
  border-bottom: 20px dashed var(--blue);
}
#hinnasto .btn {
  transition: .3s;
}
#hinnasto h2 {
  color: var(--black);
}
#hinnasto ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
#hinnasto li {
  margin-bottom: 1em;
}
#hinnasto .card {
  border-radius: 10px;
  padding: 6px;
  padding-bottom: 10px;
  min-width: 270px;
  max-width: 500px;
  background-color: var(--black);
  transition: .3s;
}
#hinnasto .card img {
  border-radius: 10px 10px 0px 0px;
}
#hinnasto .card h2 {
  color: var(--white);
  padding-top: .5em;
  padding-bottom: .2em;
}
#hinnasto .card h3 {
  color: var(--white);
}
#hinnasto p {
  font-size: 16px;
  padding-top: 0;
  padding-bottom: .2em;
  color: var(--white);
}
#tuntiveloitus {
  background-color: var(--blue);
  padding: 2em 1em 1em;
}
#tuntiveloitus p {
    max-width: 536px;
    margin: 0 auto;
    margin-bottom: 1em;
}
#toimialue {
  background: var(--blue);
  padding: 2em 1em 2em;
  display: flex;
  justify-content: center;
}
#toimialue p {
  margin-top: 0;
  color: var(--white);
}
#toimialue h2 {
  color: var(--white);
}
#toimialue h6 {
  color: var(--black);
}
#main-footer {
  padding: 2em;
  background: var(--white);
  text-align: center;
  /*border-top: 3px solid rgba(219,219,219);*/
}
#main-footer a {
  color: var(--blue);
  text-decoration: none;
}
#main-footer .row {
  padding-bottom: 10px;
  padding-top: 10px;
  padding-left: 10px;
  padding-right: 10px;
}
#main-footer .container {
  padding-left: auto;
}
#main-footer .container p {
  padding-left: 10px;
  font-size: 14px;
  color: var(--black);
}
.luotettavakumppani img {
  max-width: 120px;
  max-height: 48px;
  margin-left: 10px;
}
/*#main-footer .osoite p {
  padding-left: 10px;
  padding-top: 6px;
  font-size: 14px;
  color: var(--black);
}*/
.fa-clock {
  color: var(--blue);
  transition: .3s;  
}
.fa-facebook {
  color: var(--blue);
  transition: .3s;   
}
#tukipalvelut h2 {
  color: var(--black);
}
#tukipalvelut p {
  color: var(--black);
  text-align: left;
}
#tukipalvelut li {
  min-width: 220px;
}
#tukipalvelut h4 {
  color: var(--black);
  font-size: 18px;
}
#cw a{
  color: var(--blue);
  text-decoration: none;
  transition: .3s;
  font-weight: bold;
}
#painikefix .btn {
  margin-bottom: 2em;
}
p.tietosuoja {
  padding-top: 2.5em;
}
#kontakti h3 {
  color:var(--white);
}
#lomake .contact {
  padding-top: 0px;
}
.contact form label{
  display:block;
}
.contact form p{
  margin:0;
}
.contact form .full{
  grid-column: 1 / 3;
}
.contact form input, .contact form textarea{
  width:100%;
  padding:1em;
  border: 6px solid var(--blue);
  border-radius: 24px;
}
.contact form button {
  display: inline-block;
  background: var(--white);
  color: var(--blue);
  text-decoration: none;
  padding: 1em 2em;
  border: 6px dashed var(--blue);
  border-radius: 24px;
  margin: 0.2em 0;
  font-family: Roboto, sans-serif;
  transition: .3s;
  font-weight: bold;
  width:256px; 
}
.contact form textarea {
  background: var(--gray);
  color: black;
  text-decoration: none;
  padding: 1em 2em;
  border: 6px solid var(--blue);
  border-bottom-left-radius: 6px;
  border-top-right-radius: 6px;
  margin: 0.2em 0;
  transition: .3s;
}
.contact form input {
  background: var(--gray);
  color: black;
  text-decoration: none;
  padding: 1em 2em;
  border: 6px solid var(--blue);
  border-bottom-left-radius: 6px;
  border-top-right-radius: 6px;
  margin: 0.2em 0;
  transition: .3s;
}
.contact form button{
  background: var(--gray);
  color: var(--blue);
  text-decoration: none;
  padding: 1em 2em;
  width:256px;
  border: 6px solid var(--blue);
  border-bottom-left-radius: 6px;
  border-top-right-radius: 6px;
  margin: 0.2em 0;
  transition: .3s;
  cursor: pointer;
}
.contact form button value {
  color: black;
}
.contact form input:focus {
  color: var(--dblue);
  border-color: var(--lblue);
  border-bottom-left-radius: 24px;
  border-top-right-radius: 24px;
  border-top-left-radius: 6px;
  border-bottom-right-radius: 6px;
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
  outline: none;
}
::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: var(--blue);
    opacity: 1; /* Firefox */
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: var(--blue);
}

::-ms-input-placeholder { /* Microsoft Edge */
    color: var(--blue);
}
.contact form textarea:focus {
  color: var(--dblue);
  border-color: var(--lblue);
  border-bottom-left-radius: 24px;
  border-top-right-radius: 24px;
  border-top-left-radius: 6px;
  border-bottom-right-radius: 6px;
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
  outline: none;
}
#lomake {
  background: var(--gray);
  padding-top: 2em;
}
#hintalista {
  background-color: var(--blue);
  color: var(--white);
}
#hintalista .otsikko {
  font-size: 20px;
}
#hintalista .container .table-responsive td {
  vertical-align: middle;
}
#hintalista .table {
  margin-bottom: 0;
}
#hintalista .container .table-responsive{
  background: var(--black);
  border-radius: 40px;
  border: 3px solid var(--white);
  box-shadow:0 14px 32px 0 rgba(0,0,0,.7);
  transition: .3s;
}
#egr #section-b{
  background-color: var(--white);
  border-top: 20px dashed var(--blue);
}
#dpf #section-b{
  background-color: var(--white);
  border-top: 20px dashed var(--blue);
}
p#varmenne {
  padding: 0;
}
#sahkotarvikkeet {
  border-bottom: 10px solid var(--white);
}
@media (min-width: 600px) {
#showcase .content-wrap p {
	margin: 0 auto;
}
#showcase p {
	max-width: 536px;
  color: var(--black);
}
#tuntiveloitus p {
  max-width: 536px;
  margin: 0 auto;
  margin-bottom: 0em;
  padding-top: 0;
  }
}
@media(min-width:700px){
.contact form{
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap:20px;
}
.wrapper{
  display: grid;
  grid-template-columns: 1fr 0fr;
}
.wrapper > *{
  padding:2em;
}
.company-info h3, .company-info ul, .brand{
  text-align: center;
}
.contact form button:hover{
  color: var(--lblue);
  border-color: var(--lblue);
  border-bottom-left-radius: 24px;
  border-top-right-radius: 24px;
  border-top-left-radius: 6px;
  border-bottom-right-radius: 6px;
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
  outline: none;
}
}
@media (min-width: 768px) {
h1 {
  margin: 0;
  padding: 1em 0;
  font-size: 3.5em;
  font-weight: bold;
  color: var(--black);
}
#showcase h1 {
  padding-top: 60px;
  padding-bottom: 0;
  color: var(--blue);
  font-size: 3em;
}
#showcase h2 {
  color: var(--blue);
  font-size: 2em;
}

#return-to-top {
    position: fixed;
    bottom: 30px;
    right: 10px;
    width: 48px;
    height: 48px;
    display: block;
    text-decoration: none;
    -webkit-border-radius: 35px;
    -moz-border-radius: 35px;
    border-radius: 35px;
    display: none;
    -webkit-transition: all 0.3s linear;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}
#main-footer{
  grid-column: span 3;
}
#main-footer {
  display: grid;
  grid: 60px / 33.3% 33.3% 33.3%;
}
#main-footer .row {
  justify-content: left;
  min-width: 250px;
}
#main-footer .fa-envelope-open {
  margin-left: -26px;
}
.fa-y-combinator {
  margin-left: -22px;
}
#main-footer .fa-clipboard {
  margin-left: 5px;
}
.fa-lock {
  margin-left: 2px;
}
.fa-check-square {
  margin-left: -21px;
}
}
@media (min-width: 800px) {
.grid {
  display: grid;
  grid-template-columns: 1fr repeat(2, minmax(auto, 35em)) 1fr;
}
#section-a .content-text {
  columns: 2;
  column-gap: 2em;
}
#section-a .content-text p {
  padding-top: 0;
}
.content-wrap,
#section-b ul {
  grid-column: 2/4;
}
.box
  {
  grid-column: span 2;
}
#section-e ul {
  display: flex;
  justify-content: space-around;
}
#section-e li {
  width: 48%;
}
body .tietosuoja p {
  min-width: 750px;
}
#section-d {
  border: 10px solid var(--white);
  border-bottom: 10px;
  border-top: 10px;
}
#section-d .fa-arrow-alt-circle-down {
  display: inline-block;
}
#section-d .box:first-child {
  border-right: 10px solid var(--white);
}
#section-dd {
  border-bottom: 10px solid var(--white);
}
#section-dd .box:first-child {
  border-right: 10px solid var(--white);
}
#tuki.box {
  border-top: 0px solid var(--white);
  border-bottom: 10px solid var(--white);
}
#voimavarat {
  color: var(--black);
  padding: 2em 1em 1em;
  border-top: 0px solid var(--white);
}
#sahkotarvikkeet {
  border-bottom: 0px solid var(--white);
}
}
@media (min-width: 850px) {
#hinnasto ul {
    display: flex;
    justify-content: space-around;
  }
#hinnasto li {
    width: 31%;
  }
}
@media (min-width: 931px) {
#section-b ul {
  display: flex;
  justify-content: space-around;
}
#section-b li {
  width: 31%;
}
#bottom li {
  width: 70%;
}
#egr li {
  width: 45%;
}
#dpf li {
  width: 45%;
}
#tukipalvelut li {
  width: 45%;
}

}
@media (min-width: 1025px) {
#showcase {
  min-height: 900px;
  color: #fff;
  text-align: center;
}
p.aurinkojarjestelmat {
  padding-bottom: 2em;
}
#showcase h1 {
  padding-top: 60px;
  padding-bottom: 0;
  color: var(--blue);
  font-size: 3.5em;
}
#showcase h2 {
  color: var(--blue);
  font-size: 2.5em;
}
#cw {
  z-index: 1;
}
#showcase .btn:hover {
  color: var(--lblue);
  border-color: var(--lblue);
  border-bottom-left-radius: 24px;
  border-top-right-radius: 24px;
  border-top-left-radius: 6px;
  border-bottom-right-radius: 6px;
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#otsikkofix h2 {
  padding-top: 3em;
  padding-bottom: .5em;
}
#nav-korjaus #active-nav:hover {
  color: var(--gray);
}
#nav-korjaus .nav-fix:hover {
  color: var(--black);
  margin-right: 0px;
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#nav-korjaus .nav-fix-drop a:hover {
  color: var(--gray);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#section-b .card:hover {
  border-radius: 24px;
  padding: 6px;
  padding-bottom: 10px;
  min-width: 255px;
  max-width: 500px;
  background-color: var(--black);
  transition: .3s;
}
#section-b .btn:hover {
  background: transparent;
  color: var(--blue);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
  border-color: var(--gray);
}
.btn:hover {
  color: var(--gray);
  border-color: var(--gray);
  border-bottom-left-radius: 24px;
  border-top-right-radius: 24px;
  border-top-left-radius: 6px;
  border-bottom-right-radius: 6px;
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#section-b .referenssilinkki:hover {
  color: var(--blue);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#referenssiteksti a:hover{
  color: var(--blue);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#section-b #www-sivut a:hover {
  color: var(--blue);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#section-c a:hover {
  color: var(--black);
  text-decoration: none;
}
#section-c .btn:hover {
  color: var(--lblue);
  border-color: var(--lblue);
  border-bottom-left-radius: 24px;
  border-top-right-radius: 24px;
  border-top-left-radius: 6px;
  border-bottom-right-radius: 6px;
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#section-d .btn:hover {
  color: var(--gray);
  border-color: var(--gray);
  border-bottom-left-radius: 24px;
  border-top-right-radius: 24px;
  border-top-left-radius: 6px;
  border-bottom-right-radius: 6px;
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#section-d a:hover {
  color: var(--gray);
  text-decoration: none;
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#section-d .box:hover {
  background: var(--lblue);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#section-e .card:hover {
  border-radius: 10px;
  padding: 6px;
  padding-bottom: 10px;
  box-shadow:0 0 8px rgba(0,0,0,.3);
  min-width: 255px;
  max-width: 500px;
  background-color: var(--white);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
  box-shadow:0 14px 32px 0 rgba(0,0,0,.3);
  transform: translateY(-4px);
}
#section-e a:hover {
  color: var(--black);
  text-decoration: none;
}
.fa-mobile-alt:hover {
  color: var(--lblue);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
.fa-envelope-open:hover {
  color: var(--lblue);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#main-footer .fa-envelope-open:hover {
  color: var(--lblue);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
.fa-clipboard:hover {
  color: var(--lblue);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#main-footer .fa-mobile-alt:hover {
  color: var(--lblue);
}
#main-footer .fa-clipboard:hover {
  color: var(--lblue);
}
.fa-copyright:hover {
  color: var(--lblue);
  transition-duration: .3s;
  justify-content: center;
  transition-timing-function: ease-in-out;
}
.fa-y-combinator:hover {
  color: var(--lblue);
  transition-duration: .3s;
  justify-content: center;
  transition-timing-function: ease-in-out;
}
.fa-facebook:hover {
  color: var(--gray);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;  
}
.fa-lock:hover {
  color: var(--lblue);
  transition-duration: .3s;
  justify-content: center;
  transition-timing-function: ease-in-out;
}
.fa-bolt:hover {
  color: var(--lblue);
  transition-duration: .3s;
  justify-content: center;
  transition-timing-function: ease-in-out;
}
.fa-arrow-alt-circle-down:hover {
  color: var(--lblue);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#section-d .fa-arrow-alt-circle-down:hover {
  color: var(--gray);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
.fa-check-square {
  margin-left: -36px;
}
#cw a:hover{
  color: var(--lblue);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
body .tietosuoja p {
  min-width: 950px;
}
#hintalista .container .table-responsive:hover{
  background: var(--black);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
  box-shadow:0 0px 10px 0 rgba(0,0,0,.3);
  transform: translateY(4px);
}
#some a:hover {
  color: var(--gray);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#voimavarat a:hover {
  color: var(--gray);
  transition-duration: .3s;
  transition-timing-function: ease-in-out;
}
#main-footer {
  grid-column: span 3;
}
#main-footer {
  display: grid;
  grid: 60px / 25% 25% 25% 25%;
}
#main-footer .row {
  justify-content: center;
  min-width: 250px;
}
#main-footer .fa-mobile-alt {
  margin-left: -40px;
}
.fa-lock {
  margin-left: -129px;
}
#main-footer .lukko p {
  margin-left: -35px;
}
.fa-bolt {
  margin-left: -1px;
}
@media(min-width: 1086px) {
#hintakortti ul {
  display: flex;
  justify-content: space-around;
}
#hintakortti li {
  width: 24%;
}
}
@media(min-width: 1200px) {
.navbar {
  background-color: var(--white);
  font-size: 14px;
  font-family: Open Sans, sans-serif;
  display: flex;
  justify-content: space-around;
  height: 100px;
}
.mobilelogo {
  max-height: 100px;
  max-width: 240px;
  display: flex;
  justify-content: flex-start;
}
/*.navbar-collapse {
  max-width: 375px;
  justify-content: center;
}*/
}
@media(min-width: 1410px) {
.navbar {
  font-size: 18px;
}
}
}
/* RESPONSIIVISUUS ISOSTA PIENEKSI */

@media(min-width: 767px) {
  #section-d .box {
    padding: 2em 3em 1em;
  }
}
@media(min-width: 1200px) {
  #sahkopalvelut.box {
    padding: 2em 6em 1em;
  }
}
@media(min-width: 1500px) {
  #sahkopalvelut.box {
    padding: 2em 12em 1em;
  }
}
@media(min-width: 1800px) {
  #sahkopalvelut.box p {
    padding-left: 4em;
  }
  #suunnittelu.box {
    padding: 2em 8em 1em;
  }
}
@media(min-width: 2000px) {
  #sahkopalvelut.box p {
    padding-left: 6em;
  }
  #suunnittelu.box {
    padding: 2em 14em 1em;
  }
}
@media(min-width: 2200px) {
  #sahkopalvelut.box p {
    padding-left: 14em;
  }
}
